#include "message.h"
#include <stdio.h>
#include <string.h>

void OnClientMessage(Aswm* aswm, XClientMessageEvent* e) {
	// TODO: handle this
	printf("Client message for window %lu:\n", e->window);
	char* message_type = XGetAtomName(e->display, e->message_type);
	printf("\t%s\n", message_type);
	if(strcmp(message_type, "_NET_ACTIVE_WINDOW") == 0) {
		printf("\t\twindow to activate: %lu\n", e->window);
		printf("\t\tsource indication: %lu\n", e->data.l[0]);
		printf("\t\ttimestamp: %lu\n", e->data.l[1]);
		printf("\t\trequestor's currently active window: %lu\n", e->data.l[2]);
		aswm_activate_window(e->window);
	} else {
		printf("\t-> Unhandled\n");
	}
	XFree(message_type);
}
